package com.gyee.frame.controller.file;

import java.util.HashMap;
import java.util.Map;

/**
 * svg信息
 *
 * @author xysn
 */
public class SvgInfo {
    /**
     * ID
     */
    private String id;
    /**
     * 触发器
     */
    private Map<String, SvgCondition> conditions;
    /**
     * 测点
     */
    private Map<String, SvgTagInfo> tags;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Map<String, SvgCondition> getConditions() {
        if (conditions == null) {
            conditions = new HashMap<>();
        }
        return conditions;
    }

    public void setConditions(Map<String, SvgCondition> conditions) {
        this.conditions = conditions;
    }

    public Map<String, SvgTagInfo> getTags() {
        if (tags == null) {
            tags = new HashMap<>();
        }
        return tags;
    }

    public void setTags(Map<String, SvgTagInfo> tags) {
        this.tags = tags;
    }
}
